net.snowflake.client.core

## Class SessionUtil.LoginInput

- java.lang.Object
- - net.snowflake.client.core.SessionUtil.LoginInput

Enclosing class:
  SessionUtil

    public static class SessionUtil.LoginInput
    extends Object

A class for holding all information required for login

### Constructor Summary

Constructors
Constructor and Description
`LoginInput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAccountName()`
`String` `getAppId()`
`String` `getApplication()`
`String` `getAppVersion()`
`String` `getAuthenticator()`
`Properties` `getClientInfo()`
`int` `getConnectionTimeout()`
`String` `getDatabaseName()`
`String` `getIdToken()`
`int` `getLoginTimeout()`
`String` `getMasterToken()`
`String` `getPasscode()`
`String` `getPassword()`
`PrivateKey` `getPrivateKey()`
`String` `getRole()`
`String` `getSchemaName()`
`String` `getServerUrl()`
`String` `getServiceName()`
`Map<String,Object>` `getSessionParameters()`
`String` `getSessionToken()`
`int` `getSocketTimeout()`
`String` `getToken()`
`String` `getUserName()`
`String` `getWarehouse()`
`boolean` `isPasscodeInPassword()`
`SessionUtil.LoginInput` `setAccountName(String accountName)`
`SessionUtil.LoginInput` `setAppId(String appId)`
`SessionUtil.LoginInput` `setApplication(String application)`
`SessionUtil.LoginInput` `setAppVersion(String appVersion)`
`SessionUtil.LoginInput` `setAuthenticator(String authenticator)`
`SessionUtil.LoginInput` `setClientInfo(Properties clientInfo)`
`SessionUtil.LoginInput` `setConnectionTimeout(int connectionTimeout)`
`SessionUtil.LoginInput` `setDatabaseName(String databaseName)`
`SessionUtil.LoginInput` `setIdToken(String idToken)`
`SessionUtil.LoginInput` `setLoginTimeout(int loginTimeout)`
`SessionUtil.LoginInput` `setMasterToken(String masterToken)`
`SessionUtil.LoginInput` `setPasscode(String passcode)`
`SessionUtil.LoginInput` `setPasscodeInPassword(boolean passcodeInPassword)`
`SessionUtil.LoginInput` `setPassword(String password)`
`SessionUtil.LoginInput` `setPrivateKey(PrivateKey privateKey)`
`SessionUtil.LoginInput` `setRole(String role)`
`SessionUtil.LoginInput` `setSchemaName(String schemaName)`
`SessionUtil.LoginInput` `setServerUrl(String serverUrl)`
`SessionUtil.LoginInput` `setServiceName(String serviceName)`
`SessionUtil.LoginInput` `setSessionParameters(Map<String,Object> sessionParameters)`
`SessionUtil.LoginInput` `setSessionToken(String sessionToken)`
`SessionUtil.LoginInput` `setSocketTimeout(int socketTimeout)`
`SessionUtil.LoginInput` `setToken(String token)`
`SessionUtil.LoginInput` `setUserName(String userName)`
`SessionUtil.LoginInput` `setWarehouse(String warehouse)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoginInput

    public LoginInput()

### Method Detail

#### getServerUrl

    public String getServerUrl()

#### setServerUrl

    public SessionUtil.LoginInput setServerUrl(String serverUrl)

#### getDatabaseName

    public String getDatabaseName()

#### setDatabaseName

    public SessionUtil.LoginInput setDatabaseName(String databaseName)

#### getSchemaName

    public String getSchemaName()

#### setSchemaName

    public SessionUtil.LoginInput setSchemaName(String schemaName)

#### getWarehouse

    public String getWarehouse()

#### setWarehouse

    public SessionUtil.LoginInput setWarehouse(String warehouse)

#### getRole

    public String getRole()

#### setRole

    public SessionUtil.LoginInput setRole(String role)

#### getAuthenticator

    public String getAuthenticator()

#### setAuthenticator

    public SessionUtil.LoginInput setAuthenticator(String authenticator)

#### getAccountName

    public String getAccountName()

#### setAccountName

    public SessionUtil.LoginInput setAccountName(String accountName)

#### getLoginTimeout

    public int getLoginTimeout()

#### setLoginTimeout

    public SessionUtil.LoginInput setLoginTimeout(int loginTimeout)

#### getUserName

    public String getUserName()

#### setUserName

    public SessionUtil.LoginInput setUserName(String userName)

#### getPassword

    public String getPassword()

#### setPassword

    public SessionUtil.LoginInput setPassword(String password)

#### getClientInfo

    public Properties getClientInfo()

#### setClientInfo

    public SessionUtil.LoginInput setClientInfo(Properties clientInfo)

#### getPasscode

    public String getPasscode()

#### setPasscode

    public SessionUtil.LoginInput setPasscode(String passcode)

#### getToken

    public String getToken()

#### setToken

    public SessionUtil.LoginInput setToken(String token)

#### getConnectionTimeout

    public int getConnectionTimeout()

#### setConnectionTimeout

    public SessionUtil.LoginInput setConnectionTimeout(int connectionTimeout)

#### getSocketTimeout

    public int getSocketTimeout()

#### setSocketTimeout

    public SessionUtil.LoginInput setSocketTimeout(int socketTimeout)

#### isPasscodeInPassword

    public boolean isPasscodeInPassword()

#### setPasscodeInPassword

    public SessionUtil.LoginInput setPasscodeInPassword(boolean passcodeInPassword)

#### getAppId

    public String getAppId()

#### setAppId

    public SessionUtil.LoginInput setAppId(String appId)

#### getAppVersion

    public String getAppVersion()

#### setAppVersion

    public SessionUtil.LoginInput setAppVersion(String appVersion)

#### getSessionToken

    public String getSessionToken()

#### setSessionToken

    public SessionUtil.LoginInput setSessionToken(String sessionToken)

#### getMasterToken

    public String getMasterToken()

#### setMasterToken

    public SessionUtil.LoginInput setMasterToken(String masterToken)

#### getIdToken

    public String getIdToken()

#### setIdToken

    public SessionUtil.LoginInput setIdToken(String idToken)

#### getSessionParameters

    public Map<String,Object> getSessionParameters()

#### setSessionParameters

    public SessionUtil.LoginInput setSessionParameters(Map<String,Object> sessionParameters)

#### getPrivateKey

    public PrivateKey getPrivateKey()

#### setPrivateKey

    public SessionUtil.LoginInput setPrivateKey(PrivateKey privateKey)

#### getApplication

    public String getApplication()

#### setApplication

    public SessionUtil.LoginInput setApplication(String application)

#### getServiceName

    public String getServiceName()

#### setServiceName

    public SessionUtil.LoginInput setServiceName(String serviceName)